> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tembo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List runtimes

> List execution runtimes and their compatible model references for the current organization.



## OpenAPI

````yaml https://api.tembo.io/public-api/openapi/public get /v1/runtimes
openapi: 3.1.0
info:
  title: Tembo Public API
  description: >-
    Manage agents, sessions, repositories, and organization resources with the
    Tembo API.
  version: 1.0.0
servers:
  - url: https://api.tembo.io
    description: Tembo API
  - url: https://{deployment-origin}/api/public-api
    description: Self-hosted Tembo
    variables:
      deployment-origin:
        default: tembo.example.com
        description: Hostname of your self-hosted Tembo deployment
security: []
paths:
  /v1/runtimes:
    get:
      tags:
        - Runtimes
      summary: List runtimes
      description: >-
        List execution runtimes and their compatible model references for the
        current organization.
      operationId: listRuntimes
      parameters:
        - in: query
          name: cursor
          schema:
            type: string
            enum:
              - claudeCode
              - codex
              - opencode
              - cursor
              - amp
              - fx
              - pi
        - in: query
          name: limit
          schema:
            type: string
            default: '50'
      responses:
        '200':
          description: List runtimes
          content:
            application/json:
              schema:
                type: object
                properties:
                  items:
                    type: array
                    items:
                      type: object
                      properties:
                        name:
                          type: string
                          enum:
                            - claudeCode
                            - codex
                            - opencode
                            - cursor
                            - amp
                            - fx
                            - pi
                        displayName:
                          type: string
                        defaultModelName:
                          type: string
                          enum:
                            - claude-opus-5-5
                            - claude-fable-5-1
                            - claude-fable-5
                            - claude-opus-5
                            - claude-sonnet-5-5
                            - claude-opus-4-8
                            - claude-opus-4-7
                            - claude-opus-4-6
                            - claude-opus-4-5
                            - claude-4-5-haiku
                            - gpt-6.1-sol
                            - gpt-6-astra
                            - gpt-6-sol
                            - gpt-6-luna
                            - gpt-5.6-sol
                            - gpt-5.6-terra
                            - gpt-5.6-luna
                            - gpt-5.5-pro
                            - gpt-5.5
                            - gpt-5.4
                            - gpt-5.4-mini
                            - gpt-5.4-nano
                            - gpt-5.3-codex
                            - gpt-5.3-codex-spark
                            - gpt-5.2-codex
                            - gpt-5.2
                            - glm-5p3
                            - glm-5p3-flash
                            - composer-1.5
                            - composer-2
                            - composer-2-fast
                            - composer-2.5
                            - gemini-3.1-pro
                            - gemini-3.5-flash
                            - grok-4.7
                            - grok
                            - kimi-k3
                            - minimax-m2p7
                            - minimax-m3
                            - deepseek-v4-pro
                            - deepseek-v4p1-flash
                        requiresApiKey:
                          type: boolean
                        hasApiKey:
                          type: boolean
                        runCapabilities:
                          type: object
                          properties:
                            modes:
                              type: array
                              items:
                                type: string
                                enum:
                                  - normal
                                  - planning
                            speeds:
                              type: array
                              items:
                                type: string
                                enum:
                                  - normal
                                  - fast
                                  - ultrafast
                            supportsGoals:
                              type: boolean
                          required:
                            - modes
                            - speeds
                            - supportsGoals
                          additionalProperties: false
                        availability:
                          oneOf:
                            - type: object
                              properties:
                                status:
                                  type: string
                                  const: available
                              required:
                                - status
                              additionalProperties: false
                            - type: object
                              properties:
                                status:
                                  type: string
                                  const: unavailable
                                code:
                                  type: string
                                  enum:
                                    - plan_required
                                    - missing_credentials
                                reason:
                                  type: string
                              required:
                                - status
                                - code
                                - reason
                              additionalProperties: false
                        compatibleModels:
                          type: array
                          items:
                            type: object
                            properties:
                              name:
                                type: string
                                enum:
                                  - claude-opus-5-5
                                  - claude-fable-5-1
                                  - claude-fable-5
                                  - claude-opus-5
                                  - claude-sonnet-5-5
                                  - claude-opus-4-8
                                  - claude-opus-4-7
                                  - claude-opus-4-6
                                  - claude-opus-4-5
                                  - claude-4-5-haiku
                                  - gpt-6.1-sol
                                  - gpt-6-astra
                                  - gpt-6-sol
                                  - gpt-6-luna
                                  - gpt-5.6-sol
                                  - gpt-5.6-terra
                                  - gpt-5.6-luna
                                  - gpt-5.5-pro
                                  - gpt-5.5
                                  - gpt-5.4
                                  - gpt-5.4-mini
                                  - gpt-5.4-nano
                                  - gpt-5.3-codex
                                  - gpt-5.3-codex-spark
                                  - gpt-5.2-codex
                                  - gpt-5.2
                                  - glm-5p3
                                  - glm-5p3-flash
                                  - composer-1.5
                                  - composer-2
                                  - composer-2-fast
                                  - composer-2.5
                                  - gemini-3.1-pro
                                  - gemini-3.5-flash
                                  - grok-4.7
                                  - grok
                                  - kimi-k3
                                  - minimax-m2p7
                                  - minimax-m3
                                  - deepseek-v4-pro
                                  - deepseek-v4p1-flash
                              label:
                                type: string
                              provider:
                                type: string
                              isDefault:
                                type: boolean
                              isPlatformDefault:
                                type: boolean
                              reasoningLevels:
                                type: array
                                items:
                                  type: string
                              availability:
                                oneOf:
                                  - type: object
                                    properties:
                                      status:
                                        type: string
                                        const: available
                                    required:
                                      - status
                                    additionalProperties: false
                                  - type: object
                                    properties:
                                      status:
                                        type: string
                                        const: unavailable
                                      code:
                                        type: string
                                        enum:
                                          - model_disabled
                                          - plan_required
                                          - missing_credentials
                                          - unsupported_provider
                                          - chatgpt_not_connected
                                          - supergrok_not_connected
                                          - claude_subscription_not_connected
                                      reason:
                                        type: string
                                    required:
                                      - status
                                      - code
                                      - reason
                                    additionalProperties: false
                            required:
                              - name
                              - label
                              - provider
                              - isDefault
                              - isPlatformDefault
                              - reasoningLevels
                              - availability
                            additionalProperties: false
                      required:
                        - name
                        - displayName
                        - defaultModelName
                        - requiresApiKey
                        - hasApiKey
                        - runCapabilities
                        - availability
                        - compatibleModels
                      additionalProperties: false
                  nextCursor:
                    type:
                      - string
                      - 'null'
                    enum:
                      - claudeCode
                      - codex
                      - opencode
                      - cursor
                      - amp
                      - fx
                      - pi
                      - null
                required:
                  - items
                  - nextCursor
                additionalProperties: false
        '400':
          description: Invalid request, cursor, or caller scope
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
      security:
        - apiKey: []
      x-codeSamples:
        - lang: typescript
          label: TypeScript SDK
          source: |
            import Tembo from '@tembo-io/sdk';

            const client = new Tembo();

            const runtime = await client.runtimes.list({
              limit: '50',
            });
components:
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.